### Method

# Fwupd BiosSetting get_appstream_id

since: 2.1.7

#### Declaration [src]

    const gchar*
    fwupd_bios_setting_get_appstream_id (
      FwupdBiosSetting* self
    )

#### Description [src]

Gets the vendor-neutral fwupd AppStream identifier for this setting, e.g. `org.fwupd.bios.secure-boot`.

This is a registered identifier documented by fwupd that allows software to treat the same conceptual setting consistently even though vendors name and value it differently.

Available since: 2.1.7

#### Return value

Type: `const gchar*`

AppStream ID if set otherwise NULL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.